<div>
    <div>
        <h2 mat-dialog-title>{{'msg.login.dialog.title.forget' | translate}}</h2>
    </div>
    <div mat-dialog-content>
        <form [formGroup]="forgetPwdForm">
            <mat-form-field  appearance="outline" style="width: 100%">
                <input matInput type="text" placeholder="{{'msg.login.dialog.email.required' | translate}}" formControlName="email" id="email">
                <mat-error *ngIf="hasError('email', 'required')">{{'msg.login.dialog.email.required' | translate}}</mat-error>
                <mat-error *ngIf="hasError('email', 'email')">{{'msg.login.dialog.email.format' | translate}}</mat-error>
            </mat-form-field>
        </form>
    </div>
    <div mat-dialog-actions>
        <button mat-button  (click)="onNoClick()" class="btn-dark">{{'msg.login.dialog.close' | translate}}</button>
        <button mat-raised-button [style]="(envName == 'sage')?{'background-color':'#090','color': 'white'}:{'background-color':'#e34398','color': 'white'}"  [disabled]="!forgetPwdForm.valid" (click)="onConfirm()">{{'msg.login.dialog.confirm' | translate}}</button>
    </div>
</div>
